(filters.streamcallback)=

# filters.streamcallback

The **Stream Callback Filter** provides a simple hook for a
user-specified action
to occur for each point.  The stream callback filter is for use by C++
programmers extending PDAL functionality and isn't useful to end users.

```{eval-rst}
.. embed::
```

```{eval-rst}
.. streamable::
```

## Options

```{include} filter_opts.md
```
